<script setup>
const props = defineProps({
  row: {
    type: Object,
    required: true,
    default: {}
  }
})

const supabase = useSupabaseClient()


let inventoryitemgroups = await Promise.all(props.row.inventoryitemgroups.map(async (i) => {
  return (await supabase.from("inventoryitemgroups").select("id,name").eq("id",i).single()).data.name
}))

</script>

<template>
  <div v-if="props.row.inventoryitemgroups">
    {{props.row.inventoryitemgroups ? inventoryitemgroups.join(", ") : ''}}
  </div>
</template>
